Subject: bug#53543: closed (Re: bug#64798: [PATCH 000/209] update kde package and add plasme desktop)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Aug 2023 09:48:02 +0000

Your bug report

#53543: kmessagelib fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53543: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53543
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64798: [PATCH 000/209] update kde package and add plasme desktop
From: Andreas Enge <[email-masked]>
To: 宋文武 <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Aug 2023 11:47:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Wed, Aug 09, 2023 at 05:54:07PM +0800 schrieb 宋文武:
> Yes, kmessagelib build fine now.

As this has been merged to master now, I am closing the bug.
Thank you!

Andreas

Subject: kmessagelib fails to build
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jan 2022 23:02:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

For as long as ci.guix.gnu.org keeps history (that is, December 2021),
kmessagelib fails to build, as shown below.

This breaks kmail, kmailcommon, and akregator.

------
[ 66%] Building CXX object messagecomposer/src/snippet/autotests/CMakeFiles/convertvariablesjobtest.dir/convertvariablesjobtest.cpp.o
cd /tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src/snippet/autotests && /gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/bin/c++ -DBUILD_TESTING -DKCOREADDONS_LIB -DKF_DEPRECATED_WARNINGS_SINCE=0x060000 -DQT_CONCURRENT_LIB -DQT_CORE_LIB -DQT_DBUS_LIB -DQT_DEPRECATED_WARNINGS_SINCE=0x060000 -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING -DQT_STRICT_ITERATORS -DQT_TESTCASE_BUILDDIR=\"/tmp/guix-build-kmessagelib-20.04.1.drv-0/build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DQT_XML_LIB -DTRANSLATION_DOMAIN=\"libmessagecomposer\" -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src/snippet/autotests -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src/snippet/autotests -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src/snippet/autotests/convertvariablesjobtest_autogen/include -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecore/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecore/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messageviewer/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messageviewer/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/build/mimetreeparser/src -I/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/mimetreeparser/src -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5 -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtTest -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtCore -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/lib/qt5/mkspecs/linux-g++ -isystem /gnu/store/cnimk54z2bh2m7r5s8kx0666qdkrq5py-kmime-20.04.1/include/KF5/KMime -isystem /gnu/store/cnimk54z2bh2m7r5s8kx0666qdkrq5py-kmime-20.04.1/include/KF5 -isystem /gnu/store/8634m469lclyd1m9fqj7a40c30dkhf5g-kpimcommon-20.04.1/include/KF5/PimCommon -isystem /gnu/store/8634m469lclyd1m9fqj7a40c30dkhf5g-kpimcommon-20.04.1/include/KF5/pimcommon -isystem /gnu/store/8634m469lclyd1m9fqj7a40c30dkhf5g-kpimcommon-20.04.1/include/KF5 -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtNetwork -isystem /gnu/store/7iycanrjj90k6y02jwapp5jsl02sa4g8-kio-5.70.1/include/KF5/KIOCore -isystem /gnu/store/7iycanrjj90k6y02jwapp5jsl02sa4g8-kio-5.70.1/include/KF5 -isystem /gnu/store/x7hfkl6807xp23xiica95xvk1jhyqxq4-kcoreaddons-5.70.0/include/KF5/KCoreAddons -isystem /gnu/store/x7hfkl6807xp23xiica95xvk1jhyqxq4-kcoreaddons-5.70.0/include/KF5 -isystem /gnu/store/qy075f1x3gmzywhwqd5lpabann5bd2dr-kservice-5.70.0/include/KF5/KService -isystem /gnu/store/qy075f1x3gmzywhwqd5lpabann5bd2dr-kservice-5.70.0/include/KF5 -isystem /gnu/store/l5f203bk2pwdclrvrgy64mgn2103i5jc-kconfig-5.70.0/include/KF5/KConfigCore -isystem /gnu/store/l5f203bk2pwdclrvrgy64mgn2103i5jc-kconfig-5.70.0/include/KF5 -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtConcurrent -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtDBus -isystem /gnu/store/iwyybzykgw12ib9vj3mbkshmp1gl4ijy-kconfigwidgets-5.70.0/include/KF5/KConfigWidgets -isystem /gnu/store/iwyybzykgw12ib9vj3mbkshmp1gl4ijy-kconfigwidgets-5.70.0/include/KF5 -isystem /gnu/store/f1zypajmalnv5ln75l29d2m28nf8lcrc-kcodecs-5.70.0/include/KF5/KCodecs -isystem /gnu/store/f1zypajmalnv5ln75l29d2m28nf8lcrc-kcodecs-5.70.0/include/KF5 -isystem /gnu/store/9wwh9bx42cl4acanm2mzpw8l0jhlzac6-kwidgetsaddons-5.70.0/include/KF5/KWidgetsAddons -isystem /gnu/store/9wwh9bx42cl4acanm2mzpw8l0jhlzac6-kwidgetsaddons-5.70.0/include/KF5 -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtWidgets -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtGui -isystem /gnu/store/l5f203bk2pwdclrvrgy64mgn2103i5jc-kconfig-5.70.0/include/KF5/KConfigGui -isystem /gnu/store/v8yw01fvwdm95jvqa82sylw6qznmh2mi-qtbase-5.15.2/include/qt5/QtXml -isystem /gnu/store/bzkimf70laxf0pv5r3a3w7j3g7hiddff-kauth-5.70.0/include/KF5/KAuth -isystem /gnu/store/bzkimf70laxf0pv5r3a3w7j3g7hiddff-kauth-5.70.0/include/KF5 -isystem /gnu/store/7gj34bdvhz67whn6l8ag894g8yb8lwli-akonadi-20.04.1/include/KF5/AkonadiCore -isystem /gnu/store/p0apw6jzj4aqwi4gcxmnr51450pa5g2v-kitemmodels-5.70.0/include/KF5/KItemModels -isystem /gnu/store/p0apw6jzj4aqwi4gcxmnr51450pa5g2v-kitemmodels-5.70.0/include/KF5 -isystem /gnu/store/2bk8m3is39b6lwiwyxkawjc9jfmcapll-kidentitymanagement-20.04.1/include/KF5/KIdentityManagement -isystem /gnu/store/2bk8m3is39b6lwiwyxkawjc9jfmcapll-kidentitymanagement-20.04.1/include/KF5/KIdentityManagement/kidentitymanagement -isystem /gnu/store/2bk8m3is39b6lwiwyxkawjc9jfmcapll-kidentitymanagement-20.04.1/include/KF5 -isystem /gnu/store/y799ip6pmvxdks54nagyi1xgiwjiaj7y-kpimtextedit-20.04.1/include/KF5/KPIMTextEdit -isystem /gnu/store/y799ip6pmvxdks54nagyi1xgiwjiaj7y-kpimtextedit-20.04.1/include/KF5 -isystem /gnu/store/sr9lsafbm2hvad5j085b82rs55i02ll1-akonadi-mime-20.04.1/include/KF5/Akonadi/KMime -isystem /gnu/store/sr9lsafbm2hvad5j085b82rs55i02ll1-akonadi-mime-20.04.1/include/KF5/akonadi/kmime -isystem /gnu/store/sr9lsafbm2hvad5j085b82rs55i02ll1-akonadi-mime-20.04.1/include/KF5 -isystem /gnu/store/4bxjddw1zj5j8in9gl81736lb10h2ag7-libkleo-20.04.1/include/KF5/Libkleo -isystem /gnu/store/4bxjddw1zj5j8in9gl81736lb10h2ag7-libkleo-20.04.1/include/KF5/libkleo -isystem /gnu/store/4bxjddw1zj5j8in9gl81736lb10h2ag7-libkleo-20.04.1/include/KF5 -isystem /gnu/store/cdhnnkfn0553waairpvn1x8zsdqcdm7p-qgpgme-1.15.1/include/qgpgme -isystem /gnu/store/33x095pip87pxcn23cz8k96jq6bka51s-gpgme-1.15.1/include/gpgme++ -isystem /gnu/store/4npzs8a4mwc8h9bdahib0gsd00slrinj-kcontacts-5.70.0/include/KF5/KContacts -isystem /gnu/store/4npzs8a4mwc8h9bdahib0gsd00slrinj-kcontacts-5.70.0/include/KF5 -isystem /gnu/store/613qz6aq16mvsvipywp6ip91k5mfnqrl-kcompletion-5.70.0/include/KF5/KCompletion -isystem /gnu/store/613qz6aq16mvsvipywp6ip91k5mfnqrl-kcompletion-5.70.0/include/KF5 -fno-operator-names -fno-exceptions -Wall -Wextra -Wcast-align -Wchar-subscripts -Wformat-security -Wno-long-long -Wpointer-arith -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Werror=return-type -Wvla -Wdate-time -Wsuggest-override -Wlogical-op -pedantic -Wzero-as-null-pointer-constant -O2 -g -DNDEBUG -fvisibility=hidden -fvisibility-inlines-hidden -fPIC -fexceptions -std=gnu++14 -MD -MT messagecomposer/src/snippet/autotests/CMakeFiles/convertvariablesjobtest.dir/convertvariablesjobtest.cpp.o -MF CMakeFiles/convertvariablesjobtest.dir/convertvariablesjobtest.cpp.o.d -o CMakeFiles/convertvariablesjobtest.dir/convertvariablesjobtest.cpp.o -c /tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src/snippet/autotests/convertvariablesjobtest.cpp
In file included from /tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src/messagecomposer/recipient.h:1,
                 from /tmp/guix-build-kmessagelib-20.04.1.drv-0/build/messagecomposer/src/MessageComposer/Recipient:1,
                 from /tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src/composer/composerviewbase.h:26,
                 from /tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src/snippet/autotests/convertvariablesjobtest.cpp:23:
/tmp/guix-build-kmessagelib-20.04.1.drv-0/messagelib-20.04.1/messagecomposer/src/recipient/recipient.h:30:10: fatal error: Libkdepim/MultiplyingLine: No such file or directory
   30 | #include <Libkdepim/MultiplyingLine>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [messagecomposer/src/snippet/autotests/CMakeFiles/convertvariablesjobtest.dir/build.make:93: messagecomposer/src/snippet/autotests/CMakeFiles/convertvariablesjobtest.dir/convertvariablesjobtest.cpp.o] Error 1
make[2]: Leaving directory '/tmp/guix-build-kmessagelib-20.04.1.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:7127: messagecomposer/src/snippet/autotests/CMakeFiles/convertvariablesjobtest.dir/all] Error 2
make[1]: Leaving directory '/tmp/guix-build-kmessagelib-20.04.1.drv-0/build'
make: *** [Makefile:149: all] Error 2
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-j" "1") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 1366.9 seconds
command "make" "-j" "1" failed with status 2
builder for `/gnu/store/skanq57swsd62rp4rg0v93fqc2iqbyx1-kmessagelib-20.04.1.drv' failed with exit code 1
build of /gnu/store/skanq57swsd62rp4rg0v93fqc2iqbyx1-kmessagelib-20.04.1.drv failed
------